Skip to main content

Pre-Pay Capture


Use this information to process a capture for a Pre-Pay EMV transaction. For more information about the Pre-Pay transaction scenario, see Pre-Pay Transaction Scenario.

Endpoints

The {id} is the transaction ID returned in the authorization response.

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Example

{	"clientReferenceInformation": {		"code": "test123",		"comments": "Pre-Pay Capture",		"partner": {			"developerId": "prodDeveloperId",			"thirdPartyCertificationNumber": "prodTPCN",			"solutionId": "prodSolutionId"		}	},	"orderInformation": {		"amountDetails": {			"totalAmount": "20.00",			"currency": "USD"		}	},	"pointOfSaleInformation": {		"emv": {			"tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000"		}	}}
{	"_links": {		"void": {			"method": "POST",			"href": "/pts/v2/captures/7474188291686245403812/voids"		},		"self": {			"method": "GET",			"href": "/pts/v2/captures/7474188291686245403812"		}	},	"clientReferenceInformation": {		"comments": "Pre-Pay Capture",		"code": "test123",		"partner": {			"developerId": "prodDeveloperId",			"solutionId": "prodSolutionId"		}	},	"id": "7474188291686245403812",	"orderInformation": {		"amountDetails": {			"totalAmount": "20.00",			"currency": "USD"		}	},	"reconciliationId": "7474186405046592803814",	"status": "PENDING",	"submitTimeUtc": "2025-05-16T18:07:09Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Pre-Pay Capture.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
pointOfSaleInformation.emv.tagsThis field is required only for contact entry mode.

Last published: September 29, 2026